Security Enhanced Linux Reference Policy

# Layer: services

## Module: amavis

Interfaces

### Description:

Daemon that interfaces mail transfer agents and content checkers, such as virus scanners.

### Interfaces:

amavis_admin( domain , role )

##### Summary

All of the rules required to administrate an amavis environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

amavis_create_pid_files( domain )

##### Summary

Create of amavis pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

amavis_domtrans( domain )

##### Summary

Execute a domain transition to run amavis.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

amavis_manage_lib_files( domain )

##### Summary

Create, read, write, and delete amavis lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

amavis_manage_spool_files( domain )

##### Summary

Manage amavis spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

amavis_read_lib_files( domain )

##### Summary

Read amavis lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

amavis_read_spool_files( domain )

##### Summary

Read amavis spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

amavis_search_lib( domain )

##### Summary

Search amavis lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

amavis_setattr_pid_files( domain )

##### Summary

Set the attributes of amavis pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

amavis_spool_filetrans( domain , private_type , object_class )

##### Summary

Create objects in the amavis spool directories with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | Private file type.
object_class | Class of the object being created.

Return